Subject: RE: [Sipping] Kill Overlap Dialling

From: "Peterson, Jon" <[email-masked]>
Date: Wed, 27 Aug 2003 00:46:06 -0500

RFC3578:

   Therefore, the preferred solution for a gateway handling PSTN overlap
   signalling and SIP is to convert the PSTN overlap signalling into SIP
   en-bloc signalling using number analysis and timers.  The gateway
   waits until all the signalling messages carrying parts of the
   callee's number arrive, and only then, it generates a SIP INVITE
   request.  Section 2 describes how to convert ISUP overlap signalling
   into en-bloc SIP this way.

RFC3578 does not endorse the use of overlap dialing for SIP - it endorses
the conversion of overlap to en-bloc as necessary. The mechanism for overlap
mapping described in the document is restricted to quite a limited
applicability, and has a number of drawbacks.

Jon Peterson
NeuStar, Inc.

> -----Original Message-----
> From: Cullen Jennings [mailto:[email-masked]]
> Sent: Tuesday, August 26, 2003 10:47 AM
> To: Christian Stredicke; 'sipping'
> Subject: Re: [Sipping] Kill Overlap Dialling
> 
> 
> 
> Well there is RFC 3578.
> 
> 
> On 8/25/03 22:36, "Christian Stredicke" <[email-masked]> wrote:
> 
> > Hi All,
> > 
> > the feedback which I received so far on overlap dialling was pretty
> > clear: There will be no overlap dialling support for SIP.
> > 
> > Arguments:
> > 
> > A. ENUM does not support overlap dialling. There are 
> security concerns
> > on who will own the nodes of incomplete numbers and it was 
> also reported
> > that the overhead for the node lookup is too much.
> > 
> > B. Countries with fixed-length numbers (like USA) can have 
> a dial plan
> > on the phone. Other countries always need to press the dial button
> > except for cases where extension numbers are dialled. People calling
> > from the US have to press a dial key (or #) after dialling a non-US
> > number. That is accepted by the customers.
> > 
> > C. The lack of support of 484 responses on PSTN gateways 
> makes overlap
> > dialling unusable anyway. A SIP extension would be 
> necessary, but does
> > not exist at this time and the probability that we reach 
> consensus on
> > such an extension in time is minimal.
> > 
> > D. "Grandma" is not in the customer focus any more. 
> "Grandchildren" are
> > used to cell phones and press the dial button after making up their
> > minds on which person to call.
> > 
> > E. Phones without display will not be sold in large numbers 
> any more. If
> > vendors should decide to make SIP phones without display, they must
> > include a dial button (timeout of 5 seconds to start dialling is not
> > feasible as this makes printed telephone book lookup impossible).
> > 
> > 
> > Am I right? I this is so, we would like to stop efforts on 
> implementing
> > this in out endpoints.
> > 
> > Best,
> > 
> > 
> > Christian
> > 
> > 
> > _______________________________________________
> > Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
> > This list is for NEW development of the application of SIP
> > Use [email-masked] for questions on current sip
> > Use [email-masked] for new developments of core SIP
> > 
> 
> 
> _______________________________________________
> Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
> This list is for NEW development of the application of SIP
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments of core SIP
> 

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP

---

From: Richard Shockey <[email-masked]>
Date: Thu, 28 Aug 2003 20:07:21 -0400

At 03:32 PM 8/28/2003 +0100, Mark Watson wrote:

>Henry,
>
>Of course, if it looks and feels like a mobile phone, there may indeed be 
>people who expect it to work like a mobile phone. And with mobile phones 
>there is a big pay-off for the user (mobility) which mitigates various 
>negative performance aspects (e.g. connection time, voice quality).
>
>But if it looks and feels like a good old-fashioned phone then (some) 
>people may expect it to behave like a good old fashioned phone.

yes but SIP also provides ample benefits that can over some marginal 
problems such as a requirement full dial string.

>My point is that it is not for us to decide how important these people are 
>but just to provide the technology which allows such potential 
>requirements to be met if there is market demand.
>
>You say these people are not important, or can be re-educated, but there 
>are Service Providers who feel (i) these people are important and (ii) the 
>technical barrier is lower/less important than the re-education barrier.

Well I can speak to this based on the North American market where every 
single month some NPA has to go from 7 to 10 digit dialing as a result of 
overlay codes.

Hey suprise .they get over it ..they whine a bit ..but the major suprise 
for many of us in the industry was New York City which went to full 10 
digit dialing and guess what NO ONE CARED ..why ..they have a well known 
user experience in the mobile phone industry.

Who among the Service Providers is whining .. Incumbent Carriers looking 
for an excuse not to support VoIP?? The same people whining about QoS  etc.

There is no rational reason to expend one more TCP/IP packet on this subject.

>...Mark

Richard Shockey, Senior Manager, Strategic Technology Initiatives
NeuStar Inc.
46000 Center Oak Plaza  -   Sterling, VA  20166
Voice +1 571.434.5651 Cell : +1 703.593.2683,  Fax: +1 815.333.1237
<mailto:richard(at)shockey.us> or <mailto:richard.shockey(at)neustar.biz>
  <http://www.neustar.biz> ; <http://www.enum.org>
<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<